version: '3.7'
services:
  api:
    build:
      context: .
      dockerfile: src/main/docker/Dockerfile.jvm
    environment:
      - DB_DRIVER=postgresql
      - DB_HOST=db
      - DB_PORT=5432
      - DB_NAME=intervenants
      - DB_USER=postgres
      - DB_PASSWORD=postgres
    ports:
      - 8099:8080
    restart: unless-stopped
    depends_on:
      - db
  db:
    image: postgres:12-alpine
    environment:
      - POSTGRES_DB=intervenants
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
    restart: unless-stopped
  monitoring:
    image: "prom/prometheus"
    network_mode: 'host'
    ports:
      - 9090:9090
    volumes:
      - ./src/main/resources/prometheus.yml:/etc/prometheus/prometheus.yml
